Reminder: Ask your Consumers to Update their Browsers

You may recall seeing our announcement in December that Segpay is upgrading to TLS 1.2 encryption soon and ending support for older versions of TLS. As a reminder, when this happens, anyone attempting to submit payment through Segpay must be on a browser that supports TLS 1.2 or their payment won’t go through.

Note: Our original announcement says June 1st but we are now targeting May 22nd for the upgrade.

We are just over a month away from that date, so please ask your consumers to make sure they are using the most updated version of Chrome, Safari, Internet Explorer, Edge or Firefox, by May 22nd.

If you have any questions about this, please contact techsupport@segpay.com.

Leave a Reply